Text::Markup::Rest(3pm)

Name
Text::Markup::Rest - reStructuredText parser for Text::Markup

Synopsis
  use Text::Markup;
  my $html = Text::Markup->new->parse(file => 'hello.rst');

Description
This is the reStructuredText <https://docutils.sourceforge.io/rst.html> parser for Text::Markup. It depends on the "docutils" Python package, which can be found as "python3-docutils" in many Linux distributions, or installed using the command "pip install docutils". It recognizes files with the following extensions as reST:

.rest
.rst

To change it the files it recognizes, load this module directly and pass a regular expression matching the desired extension(s), like so:

  use Text::Markup::Rest qr{re?st(?:aurant)};

Author
Daniele Varrazzo <daniele.varrazzo@gmail.com>

Copyright and License
Copyright (c) 2011-2023 Daniele Varrazzo. Some Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.